pkcs11h_certificate_id_s Struct Reference
Certificate interface

Certificate id reference. More...

`#include <pkcs11h-certificate.h>`

## Public Attributes

pkcs11h_token_id_t | token_id
char | displayName [1024]
CK_BYTE_PTR | attrCKA_ID
size_t | attrCKA_ID_size
unsigned char * | certificate_blob
size_t | certificate_blob_size

## Detailed Description

Certificate id reference.

## Member Data Documentation

## attrCKA_ID

CK_BYTE_PTR pkcs11h_certificate_id_s::attrCKA_ID

CKA_ID of object

## attrCKA_ID_size

size_t pkcs11h_certificate_id_s::attrCKA_ID_size

CKA_ID size

## certificate_blob

unsigned char* pkcs11h_certificate_id_s::certificate_blob

Certificate blob (if available)

## certificate_blob_size

size_t pkcs11h_certificate_id_s::certificate_blob_size

Certificate blob size

## displayName

char pkcs11h_certificate_id_s::displayName[1024]

displayName for users

Examples
  test-certificate.c.

## token_id

pkcs11h_token_id_t pkcs11h_certificate_id_s::token_id

Token id

The documentation for this struct was generated from the following file:

- pkcs11-helper-1.0/pkcs11h-certificate.h

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |